# Poco

# class CountingOutputStream

Library: Foundation
Package: Streams
Header: Poco/CountingStream.h

## Description

This stream counts all characters and lines going through it.

## Inheritance

Direct Base Classes: CountingIOS, std::ostream

All Base Classes: CountingIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: addChars, addLines, addPos, chars, getCurrentLineNumber, lines, pos, rdbuf, reset, setCurrentLineNumber

## Constructors

### CountingOutputStream

CountingOutputStream();

Creates an unconnected CountingOutputStream.

### CountingOutputStream

CountingOutputStream(
std::ostream & ostr
);

Creates the CountingOutputStream and connects it to the given output stream.

## Destructor

### ~CountingOutputStream

~CountingOutputStream();

Destroys the CountingOutputStream.